---@meta

---@class CheckButton : Button
CheckButton = {
	--- Gets the checked state of the checkbox.
	--- @return boolean checked True if the checkbox is checked.
	--- @example
	--- local checked = myCheckButton:GetChecked()
	GetChecked = function(self) end,

	--- Gets the texture used for a checked box.
	--- @return Texture texture The checked texture.
	--- @example
	--- local texture = myCheckButton:GetCheckedTexture()
	GetCheckedTexture = function(self) end,

	--- Gets the texture used for a disabled checked box.
	--- @return Texture texture The disabled checked texture.
	--- @example
	--- local texture = myCheckButton:GetDisabledCheckedTexture()
	GetDisabledCheckedTexture = function(self) end,

	--- Sets the checked state of the checkbox.
	--- @param checked boolean True to check the checkbox.
	--- @example
	--- myCheckButton:SetChecked(true)
	SetChecked = function(self, checked) end,

	--- Sets the texture to use for a checked box.
	--- @param texture Texture|string The texture or texture path.
	--- @example
	--- myCheckButton:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")
	SetCheckedTexture = function(self, texture) end,

	--- Sets the texture to use for a disabled checked box.
	--- @param texture Texture|string The texture or texture path.
	--- @example
	--- myCheckButton:SetDisabledCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check-Disabled")
	SetDisabledCheckedTexture = function(self, texture) end,
}
